import {Component, OnInit} from '@angular/core';
import {Router} from "@angular/router";
import {StorageService} from "../../shared/storage/storage.service";
import {environment} from "../../../environments/environment";

@Component({
  selector: 'app-ws-header',
  templateUrl: './ws-header.component.html',
  styleUrls: ['./ws-header.component.scss']
})
export class WsHeaderComponent implements OnInit {

  private activeRequestsPageDefaultUrl: string = "/workspaces/active-requests"
  static previousCapabilityKey: string = "previousCapability"
  is_test_env = environment.is_test_env;

  constructor(
    private router: Router,
    private storageService: StorageService
  ) {
  }

  /**
   * OnClick method that redirects the user to the Active Requests Page of the current capability type
   */
  public goToActiveRequestsPage() {
    // Set the previous capability as selected if it's found in storage
    const activeRequestsPageUrl = (this.storageService.getSession(WsHeaderComponent.previousCapabilityKey)) ?
      `${this.activeRequestsPageDefaultUrl}?capability=${this.storageService.getSession(WsHeaderComponent.previousCapabilityKey)}` :
      `${this.activeRequestsPageDefaultUrl}`

    this.router.navigateByUrl(activeRequestsPageUrl)
  }

  ngOnInit(): void {
  }

}
