"""
Helper functions for routes
"""
from json import JSONDecodeError

from pyramid.request import Request


def parse_body(request: Request) -> dict:
    """
    Return the json body from the request or an empty dictionary

    :param request: a REST request to parse
    :return:
    """
    try:
        body = request.json_body
    except JSONDecodeError:
        # Caller will handle empty/optional parameters
        body = {}
    return body
