"""multi restore templates

Revision ID: 65701206914e
Revises: 175c5c2accf8
Create Date: 2024-07-25 09:59:07.275175

"""
from pathlib import Path

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '65701206914e'
down_revision = '175c5c2accf8'
branch_labels = None
depends_on = None

workflow = "restore_cms"


def set_content(filename: str) -> bytes:
    return (Path.cwd() / "versions" / "templates" / workflow / filename).read_text().encode()


def upgrade():
    conn = op.get_bind()

    # Use fetch_args coming from workflow_service::determine_multiple_productfetch, appending the cal_locator
    conn.execute(
        f"""
            UPDATE workflow_templates
            SET content=%s
            WHERE filename=E'{workflow}_fetch.sh' AND workflow_name=E'{workflow}'
            """,
        set_content('fetch_sh_2.8.5.txt'),
    )


def downgrade():
    conn = op.get_bind()

    conn.execute(
        f"""
            UPDATE workflow_templates
            SET content=%s
            WHERE filename=E'{workflow}_fetch.sh' AND workflow_name=E'{workflow}'
            """,
        set_content('fetch_sh_2.8.3.txt'),
    )
