# Copyright (C) 2023 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
#
"""vlass coarse products permissions

Revision ID: f5121265793a
Revises: 486da51bb6ff
Create Date: 2025-01-08 15:55:47.601716

"""
from pathlib import Path

import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "f5121265793a"
down_revision = "486da51bb6ff"
branch_labels = None
depends_on = None


def set_content(filename: str) -> str:
    return (Path.cwd() / "versions" / "templates" / "vlass_coarse" / filename).read_text()


def upgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("post_2.8.7.txt")}'
        WHERE filename='vlass_coarse_post.sh'
        """
    )


def downgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("post_2.8.1.txt")}'
        WHERE filename='vlass_coarse_post.sh'
        """
    )
